Bug 32628 - DEADLOCK when file read-only/writeable status change event (issue #31913)
DEADLOCK when file read-only/writeable status change event (issue #31913)
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Unsupported
3.x
PC Linux
: P3 (vote)
: 3.x
Assigned To: issues@java
issues@java
: RANDOM, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-04 15:04 UTC by dmladek
Modified: 2007-09-26 09:14 UTC (History)
7 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dmladek 2003-04-04 15:04:45 UTC
For lots of information about this RANDOM DEADLOCK
please see the issue #31913

The fix for #31913 was done, and thus it could be
closed as FIXED we decided  enter a new bug for
the deadlock.


CC'ing all people from th original issu
Comment 1 Martin Entlicher 2003-11-28 17:53:13 UTC
FYI:
This deadlock can be reproduced any time with PVCS filesystem.
Although I've warned that calling confirmed() method in AWT can lead
to deadlock (see issue #31913, it's still called in AWT).

There are more associated deadlocks (issue #37580 and issue #37596).
I'm still thinking about a possible solution.

Comment 2 Martin Entlicher 2003-12-03 11:39:18 UTC
This deadlock was fixed by the fix of issue #37596.
Now it is permitted to wait for a command in AWT thread. A modal
dialog is created.
The solution might not be optimal, but it resolves the problem.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo